#ifndef __ERR_H
#define __ERR_H

/*
 * Define some 4.4BSD functions for Linux.
 *
 * All of these print your printf-style message.
 * The *err* ones exit the program with exit value eval afterwards.
 * The *x ones don't do a perror("") afterwards.  All the others do.
 */

/* I don't like this #include-inside-#include stuff, but the BSD stuff
 * REQUIRES it! */
#include <stdarg.h>

void err(int eval, const char *fmt, ...);
void verr(int eval, const char *fmt, va_list args);
void errx(int eval, const char *fmt, ...);
void verrx(int eval, const char *fmt, va_list args);
void warn(const char *fmt, ...);
void vwarn(const char *fmt, va_list args);
void warnx(const char *fmt, ...);
void vwarnx(const char *fmt, va_list args);

#endif /* __ERR_H */
